get-pip을 사용한 pip 설치 중 오류 발생

get-pip을 사용한 pip 설치 중 오류 발생

2022-10-03 last update

5 minutes reading 리눅스 pip get-pip 파이썬
pip 설치 중 오류가 발생했습니다.
Traceback (most recent call last):
  File "get-pip.py", line 24226, in <module>
    main()
  File "get-pip.py", line 199, in main
    bootstrap(tmpdir=tmpdir)
  File "get-pip.py", line 82, in bootstrap
    from pip._internal.cli.main import main as pip_entry_point
  File "<frozen importlib._bootstrap>", line 969, in _find_and_load
  File "<frozen importlib._bootstrap>", line 954, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 896, in _find_spec
  File "<frozen importlib._bootstrap_external>", line 1147, in find_spec
  File "<frozen importlib._bootstrap_external>", line 1123, in _get_spec
  File "<frozen importlib._bootstrap_external>", line 1104, in _legacy_get_spec
  File "<frozen importlib._bootstrap>", line 444, in spec_from_loader
  File "<frozen importlib._bootstrap_external>", line 541, in spec_from_file_location
  File "/tmp/tmphdllod41/pip.zip/pip/_internal/cli/main.py", line 60
    sys.stderr.write(f"ERROR: {exc}")
                                   ^
SyntaxError: invalid syntax

get-pip에 업데이트가 있으며,
htps : // 기주 b. 코 m / py 파 / 게 tp p / 쓰레기 t / 8 ~ c88 아카 7d9775f 세 279 8b84

get-pip.py를 작성하는 방법이 python3.6 이상이 된 것 같습니다.
h tps : // s t c ゔ ぇ rf ぉ w. 코 m / 쿠에 s Chion s / 65866417 / Pi p-in s ta l-fu-i-g-on-py 2

해결 방법



아래의 버전을 지정하십시오.
htps // // 보오 tst 등 p. py 빠. 이오/

or

파이썬 버전을 3.6 이상으로 설정

에서 해결할 수 있을 것 같습니다.